> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Trips

> List deliveries as trips with trip-specific computed fields.



## OpenAPI

````yaml /api/openapi-cutmake.json get /logistics/trips
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /logistics/trips:
    get:
      tags:
        - Logistics
      summary: List Trips
      description: List deliveries as trips with trip-specific computed fields.
      operationId: list_trips_logistics_trips_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 20
            title: Limit
        - name: direction
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Direction
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTripsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedTripsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/TripResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/routers__external__logistics__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedTripsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TripResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          type: string
          title: Documentid
        direction:
          type: string
          title: Direction
        mode:
          type: string
          title: Mode
        status:
          type: string
          title: Status
        driver:
          type: string
          title: Driver
        vehicle:
          type: string
          title: Vehicle
        refLabel:
          type: string
          title: Reflabel
        ref:
          type: string
          title: Ref
        eta:
          anyOf:
            - type: string
            - type: 'null'
          title: Eta
        progress:
          type: string
          title: Progress
        stops:
          items:
            $ref: '#/components/schemas/TripStopResponse'
          type: array
          title: Stops
          default: []
        shipmentDocumentIds:
          items:
            type: string
          type: array
          title: Shipmentdocumentids
          default: []
        incoterm:
          anyOf:
            - type: string
            - type: 'null'
          title: Incoterm
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - id
        - documentId
        - direction
        - mode
        - status
        - driver
        - vehicle
        - refLabel
        - ref
        - progress
      title: TripResponse
    routers__external__logistics__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TripStopResponse:
      properties:
        id:
          type: string
          title: Id
        stopOrder:
          type: integer
          title: Stoporder
        name:
          type: string
          title: Name
        subLabel:
          anyOf:
            - type: string
            - type: 'null'
          title: Sublabel
        state:
          type: string
          title: State
        plannedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Plannedat
        actualAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Actualat
      type: object
      required:
        - id
        - stopOrder
        - name
        - state
      title: TripStopResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````